# - List - #

Properties:
    Syntax: "(paf|partyandfriends)[ ]player [data]"
    Example: "%offline player%'s pafplayer"
    Return Type: "Object"
    Task: "Returns a paf (PartyAndFriends) player"

    Syntax: "(paf|partyandfriends) last online [date]"
    Example: "%offline player%'s last online"
    Return Type: "Object (Date)"
    Task: "Returns a date of the given player's last quit or returns the text 'online' when the argument is online"

    Syntax: "[(paf|partyandfriends)] friend[s]"
    Example: "%offline player%'s friends"
    Return Type: "offline player"
    Task: "Returns a list of offline players that are friends of the given offline player"

    Syntax: "[(paf|partyandfriends)] on[line] friend[s]"
    Example: "%offline player%'s online friends"
    Return Type: "offline player"
    Task: "Returns a list of the player's friends who are connected to the bungeecord network"

    Syntax: "[(paf|partyandfriends)] [friend[(-| )]]request[s]"
    Example: "%offline player%'s friend requests"
    Return Type: "offline player"
    Task: "Returns a list of the player's friend requests"

    Syntax: "[the] [(paf|partyandfriends)] [friends] setting[s] (worth|value) [(of|from)] %$objects%"
    Examples:
      - "%offline player%'s settings worth of "Friend Request Setting" "
      - "%offline player%'s settings worth of 4"
    Return Type: "object (number)"
    Task: "Returns the current worth of a given setting from the offline player argument"
    Change:
        set: "set %offline player%'s settings worth of 4 to 1"

Expressions:
    Syntax: "[(all|any)] [of] [the] [(paf|partyandfriends)] [friend[s]] settings [option[s]]"
    Example: "all of the friend settings"
    Return Type: "number"
    Task: "Returns the ids of the standard paf settings (From the original plugin only!)"

    Syntax: "[the] [(paf|partyandfriends)] [friends] setting[s] [(with|of|from) (number|int[eger]|id|value|key)[s]] %$objects%"
    Example: "setting from 0"
    Return Type: "Object (Number/String)"
    Task: "Returns the the id for a setting's name or the name for a setting's id"

Conditions:
    Syntaxes:
      - "%offline player% (is|was) a friend of %offline player%"
      - "%offline player% (is|was) [one of] %offline player%'s friend[s]"
      - "%offline player% (is|was)[ ]n[(ot|'t)] a friend of %offline player%"
      - "%offline player% (is|was)[ ]n[(ot|'t)] %offline player%'s friend[s]"
    Examples:
      - "%offline player% is %offline player%'s friend"
      - "%offline player% is not a friend of %offline player%"
    Task: "Checks if a player is a friend of another player"

    Syntaxes:
      - "%offline player% [does] ha(s|ve) [got] a [friend] request (of|from) %offline player%"
      - "%offline player% [does(n(o|')t)] ha(s|ve) [got] a [friend] request (of|from) %offline player%"
    Examples:
      - "%offline player% has a friend request from %offline player%"
      - "%offline player% does not have a friend request from %offline player%"
    Task: "Checks if a player is a friend of another player"

# - List - #

Further information:
  Coded by:
    Discord: "schrill#0001"
    SpigotMC: "@getabbter" - "https://www.spigotmc.org/members/getabbter.1053768/"
  Tested on: Paper (1.16.5)
  Skript: v2.6.1
    Latest Version: https://github.com/SkriptLang/Skript/releases/latest
    Skript Explanation: "SkriptLang is the organization behind the popular Bukkit plugin Skript. Skript is a Bukkit plugin which allows server admins to customize their server easily, but without the hassle of programming a plugin or asking/paying someone to program a plugin for them."
    PAFsk's purpose: Add PartyAndFriends Syntax into Skript and use it just as normal expressions/effects/conditions (Like send "This is a message!" to player)
  Dependencies:
    - Skript-Reflect (https://github.com/TPGamesNL/skript-reflect/releases/latest)
    - BungeeSK (https://github.com/ZorgBtw/BungeeSK/suites/8051129953/artifacts/346503349)
    - PAF MySQL Spigot API (https://www.spigotmc.org/resources/spigot-friend-api-for-party-and-friends-for-bungeecord-velocity.12597/)
  Known errors:
    "Expressions/Conditions throw errors on load":
      Answer: "Check if the dependencies are installed correct"
    "The friends expression doesn't show any friends even when I have some"
      Answer: "Check if BungeeSK is installed correctly and connected to to the proxy (Check https://bungeesk.zorgdev.fr/ for that)"
    "When I start my server the skript throws alot of errors"
      Answer: "You have to load this skript first, put a `_` before the skript's name to do so"
